Subject: Re: [Gen-art] Review of draft-ietf-tram-turn-server-discovery-08

From: Jari Arkko <[email-masked]>
Date: Thu, 1 Sep 2016 11:05:41 +0300

Ralph, Tiru — thanks for the updates and the review. I’ve looked at the change draft and I think it is fine now.

Jari

---

From: Ralph Droms <[email-masked]>
Date: Thu, 1 Sep 2016 07:06:02 -0400

RI just completed a quick review of draft-ietf-tram-turn-server-discovery-08.  The DNS Service Discovery section is much improved.  I have a couple of comments on the revised text:

I suggest adding a reference to the IANa "Service Name and Transport Protocol Port Number Registry", http://www.iana.org/assignments/service-names-port-numbers/service-names-port-numbers.xhtml?search=Turn, as the source of the service  names "turn" and "turns".

While the example DNS records for "exampleco TURN Server" are technically correct, they would most likely be generated by the DNS-SD/mDNS library in a server, rather than appearing in a DNS server zone file somewhere.  For clarity, it might be better to use the unicast DNS versions of the DNS-SD records by substituting "example.com" for "local".

In my opinion, the details in section 5.1 are redundant with and (possibly) not identical to the specification in RFC 6762 and RFC 6763.  Specifically, Figure 1 includes a typo; there should be separate A/AAAA query and reply messages.  More generally, DNS-SD/mDNS servers may return the SRV, TXT, A and AAAA records in the first reply, as an optimization.  I think it would be better, in this document, to specify simply that TURN servers and clients use the message exchanges specified in those RFCs for TURN server discovery.  

- Ralph

> On Sep 1, 2016, at 4:05 AM, Jari Arkko <[email-masked]> wrote:
>

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Wed, 7 Sep 2016 03:34:52 +0000

Hi Ralph,

Please see inline [TR]

From: Ralph Droms [mailto:[email-masked]]
Sent: Thursday, September 1, 2016 4:36 PM
To: Jari Arkko <[email-masked]>
Cc: Tirumaleswar Reddy (tireddy) <[email-masked]>; [email-masked]; Review Area [email-masked] Team <[email-masked]>; IETF discussion list <[email-masked]>
Subject: Re: Review of draft-ietf-tram-turn-server-discovery-08

[TR] Will refer to RFC5766 which introduced the above service names.

While the example DNS records for "exampleco TURN Server" are technically correct, they would most likely be generated by the DNS-SD/mDNS library in a server, rather than appearing in a DNS server zone file somewhere.  For clarity, it might be better to use the unicast DNS versions of the DNS-SD records by substituting "example.com<http://example.com>" for "local".

[TR] May be I am missing something, https://tools.ietf.org/html/rfc6763#section-4.1.1 says the instance name will not be machine-generated and will be a user-friendly name.

[TR] Sure, will remove the figure.

Thanks and Regards,
-Tiru

- Ralph

On Sep 1, 2016, at 4:05 AM, Jari Arkko <[email-masked]<mailto:[email-masked]>> wrote:
Ralph, Tiru — thanks for the updates and the review. I’ve looked at the change draft and I think it is fine now.

Jari

---

From: Ralph Droms <[email-masked]>
Date: Wed, 7 Sep 2016 06:42:04 -0400

> On Sep 6, 2016, at 11:34 PM 9/6/16, Tirumaleswar Reddy (tireddy) <[email-masked]> wrote:
> 
> Hi Ralph,
> 
> Please see inline [TR]
> 
> From: Ralph Droms [mailto:[email-masked] <mailto:[email-masked]>]
> To: Jari Arkko <[email-masked] <mailto:[email-masked]>>
> Cc: Tirumaleswar Reddy (tireddy) <[email-masked] <mailto:[email-masked]>>; [email-masked] <mailto:[email-masked]>; Review Area [email-masked] <mailto:[email-masked]> Team <[email-masked] <mailto:[email-masked]>>; IETF discussion list <[email-masked] <mailto:[email-masked]>>
> I just completed a quick review of draft-ietf-tram-turn-server-discovery-08.  The DNS Service Discovery section is much improved.  I have a couple of comments on the revised text:
> 
> 
> I suggest adding a reference to the IANa "Service Name and Transport Protocol Port Number Registry", http://www.iana.org/assignments/service-names-port-numbers/service-names-port-numbers.xhtml?search=Turn <http://www.iana.org/assignments/service-names-port-numbers/service-names-port-numbers.xhtml?search=Turn>, as the source of the service  names "turn" and "turns".
> 

OK.

> 
> While the example DNS records for "exampleco TURN Server" are technically correct, they would most likely be generated by the DNS-SD/mDNS library in a server, rather than appearing in a DNS server zone file somewhere.  For clarity, it might be better to use the unicast DNS versions of the DNS-SD records by substituting "example.com <http://example.com/>" for "local".
> 
> [TR] May be I am missing something, https://tools.ietf.org/html/rfc6763#section-4.1.1 <https://tools.ietf.org/html/rfc6763#section-4.1.1> says the instance name will not be machine-generated and will be a user-friendly name.

Right - the instance name, in this case "example TURN Server", is a configured, user-friendly name.  But the responses to mDNS queries for, e.g., _turn._udp.local. and "exampleco TURN Server"._turn._udp.local. will be generated by the DNS-SD/mDNS code on the host providing the service instance.

It's just a minor point...

> [TR] Sure, will remove the figure.

OK.

- Ralph

> 
> Thanks and Regards,
> -Tiru
> 
> 
> 
> 
> - Ralph
> 
> 
> On Sep 1, 2016, at 4:05 AM, Jari Arkko <[email-masked] <mailto:[email-masked]>> wrote:
>